RCUR

Products

Create product

post https://rcur.app/api/v2/products

Requires your API key as Authorization: Bearer <key>. See authentication.

Request body

application/json

Product data

  • type string required

    One of once subscription shipping_costs

  • name string required

    Product name

  • amount number required

    Product amount

  • vat number required

    VAT percentage

  • interval string

    Interval (required for subscription type)

    One of day week month year

  • interval_value integer

    Interval value (required for subscription type)

  • times integer

    Number of payments (null = infinite)

  • woocommerce_product_id integer

    WooCommerce product ID

Responses

201 Product created Product object
  • id string required
  • name string required
  • type string required

    One of once subscription shipping_costs

  • amount string required
  • currency string required
  • interval string nullable
  • times integer nullable
  • wc_product_id integer nullable
422 Validation error ValidationError object
  • status integer required
  • error string required
  • fields object
Try it Send this request with your own API key

Requests run against the live data of the organization that owns the key. This POST request changes that data.